package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TAffiliatedunitExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TAffiliatedunitExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNull() {
            addCriterion("UNIT_CODE is null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNotNull() {
            addCriterion("UNIT_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeEqualTo(String value) {
            addCriterion("UNIT_CODE =", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotEqualTo(String value) {
            addCriterion("UNIT_CODE <>", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThan(String value) {
            addCriterion("UNIT_CODE >", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE >=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThan(String value) {
            addCriterion("UNIT_CODE <", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE <=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLike(String value) {
            addCriterion("UNIT_CODE like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotLike(String value) {
            addCriterion("UNIT_CODE not like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIn(List<String> values) {
            addCriterion("UNIT_CODE in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotIn(List<String> values) {
            addCriterion("UNIT_CODE not in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeBetween(String value1, String value2) {
            addCriterion("UNIT_CODE between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotBetween(String value1, String value2) {
            addCriterion("UNIT_CODE not between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitNameIsNull() {
            addCriterion("UNIT_NAME is null");
            return (Criteria) this;
        }

        public Criteria andUnitNameIsNotNull() {
            addCriterion("UNIT_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andUnitNameEqualTo(String value) {
            addCriterion("UNIT_NAME =", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameNotEqualTo(String value) {
            addCriterion("UNIT_NAME <>", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameGreaterThan(String value) {
            addCriterion("UNIT_NAME >", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_NAME >=", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameLessThan(String value) {
            addCriterion("UNIT_NAME <", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameLessThanOrEqualTo(String value) {
            addCriterion("UNIT_NAME <=", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameLike(String value) {
            addCriterion("UNIT_NAME like", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameNotLike(String value) {
            addCriterion("UNIT_NAME not like", value, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameIn(List<String> values) {
            addCriterion("UNIT_NAME in", values, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameNotIn(List<String> values) {
            addCriterion("UNIT_NAME not in", values, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameBetween(String value1, String value2) {
            addCriterion("UNIT_NAME between", value1, value2, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitNameNotBetween(String value1, String value2) {
            addCriterion("UNIT_NAME not between", value1, value2, "unitName");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNull() {
            addCriterion("UNIT_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIsNotNull() {
            addCriterion("UNIT_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitTypeEqualTo(String value) {
            addCriterion("UNIT_TYPE =", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotEqualTo(String value) {
            addCriterion("UNIT_TYPE <>", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThan(String value) {
            addCriterion("UNIT_TYPE >", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_TYPE >=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThan(String value) {
            addCriterion("UNIT_TYPE <", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLessThanOrEqualTo(String value) {
            addCriterion("UNIT_TYPE <=", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeLike(String value) {
            addCriterion("UNIT_TYPE like", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotLike(String value) {
            addCriterion("UNIT_TYPE not like", value, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeIn(List<String> values) {
            addCriterion("UNIT_TYPE in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotIn(List<String> values) {
            addCriterion("UNIT_TYPE not in", values, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeBetween(String value1, String value2) {
            addCriterion("UNIT_TYPE between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitTypeNotBetween(String value1, String value2) {
            addCriterion("UNIT_TYPE not between", value1, value2, "unitType");
            return (Criteria) this;
        }

        public Criteria andUnitAreaIsNull() {
            addCriterion("UNIT_AREA is null");
            return (Criteria) this;
        }

        public Criteria andUnitAreaIsNotNull() {
            addCriterion("UNIT_AREA is not null");
            return (Criteria) this;
        }

        public Criteria andUnitAreaEqualTo(String value) {
            addCriterion("UNIT_AREA =", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaNotEqualTo(String value) {
            addCriterion("UNIT_AREA <>", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaGreaterThan(String value) {
            addCriterion("UNIT_AREA >", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_AREA >=", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaLessThan(String value) {
            addCriterion("UNIT_AREA <", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaLessThanOrEqualTo(String value) {
            addCriterion("UNIT_AREA <=", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaLike(String value) {
            addCriterion("UNIT_AREA like", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaNotLike(String value) {
            addCriterion("UNIT_AREA not like", value, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaIn(List<String> values) {
            addCriterion("UNIT_AREA in", values, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaNotIn(List<String> values) {
            addCriterion("UNIT_AREA not in", values, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaBetween(String value1, String value2) {
            addCriterion("UNIT_AREA between", value1, value2, "unitArea");
            return (Criteria) this;
        }

        public Criteria andUnitAreaNotBetween(String value1, String value2) {
            addCriterion("UNIT_AREA not between", value1, value2, "unitArea");
            return (Criteria) this;
        }

        public Criteria andLeaderNameIsNull() {
            addCriterion("LEADER_NAME is null");
            return (Criteria) this;
        }

        public Criteria andLeaderNameIsNotNull() {
            addCriterion("LEADER_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andLeaderNameEqualTo(String value) {
            addCriterion("LEADER_NAME =", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameNotEqualTo(String value) {
            addCriterion("LEADER_NAME <>", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameGreaterThan(String value) {
            addCriterion("LEADER_NAME >", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameGreaterThanOrEqualTo(String value) {
            addCriterion("LEADER_NAME >=", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameLessThan(String value) {
            addCriterion("LEADER_NAME <", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameLessThanOrEqualTo(String value) {
            addCriterion("LEADER_NAME <=", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameLike(String value) {
            addCriterion("LEADER_NAME like", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameNotLike(String value) {
            addCriterion("LEADER_NAME not like", value, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameIn(List<String> values) {
            addCriterion("LEADER_NAME in", values, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameNotIn(List<String> values) {
            addCriterion("LEADER_NAME not in", values, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameBetween(String value1, String value2) {
            addCriterion("LEADER_NAME between", value1, value2, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderNameNotBetween(String value1, String value2) {
            addCriterion("LEADER_NAME not between", value1, value2, "leaderName");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleIsNull() {
            addCriterion("LEADER_TELE is null");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleIsNotNull() {
            addCriterion("LEADER_TELE is not null");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleEqualTo(String value) {
            addCriterion("LEADER_TELE =", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleNotEqualTo(String value) {
            addCriterion("LEADER_TELE <>", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleGreaterThan(String value) {
            addCriterion("LEADER_TELE >", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleGreaterThanOrEqualTo(String value) {
            addCriterion("LEADER_TELE >=", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleLessThan(String value) {
            addCriterion("LEADER_TELE <", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleLessThanOrEqualTo(String value) {
            addCriterion("LEADER_TELE <=", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleLike(String value) {
            addCriterion("LEADER_TELE like", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleNotLike(String value) {
            addCriterion("LEADER_TELE not like", value, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleIn(List<String> values) {
            addCriterion("LEADER_TELE in", values, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleNotIn(List<String> values) {
            addCriterion("LEADER_TELE not in", values, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleBetween(String value1, String value2) {
            addCriterion("LEADER_TELE between", value1, value2, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andLeaderTeleNotBetween(String value1, String value2) {
            addCriterion("LEADER_TELE not between", value1, value2, "leaderTele");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNull() {
            addCriterion("USE_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNotNull() {
            addCriterion("USE_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andUseFlagEqualTo(String value) {
            addCriterion("USE_FLAG =", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotEqualTo(String value) {
            addCriterion("USE_FLAG <>", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThan(String value) {
            addCriterion("USE_FLAG >", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThanOrEqualTo(String value) {
            addCriterion("USE_FLAG >=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThan(String value) {
            addCriterion("USE_FLAG <", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThanOrEqualTo(String value) {
            addCriterion("USE_FLAG <=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLike(String value) {
            addCriterion("USE_FLAG like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotLike(String value) {
            addCriterion("USE_FLAG not like", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagIn(List<String> values) {
            addCriterion("USE_FLAG in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotIn(List<String> values) {
            addCriterion("USE_FLAG not in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagBetween(String value1, String value2) {
            addCriterion("USE_FLAG between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotBetween(String value1, String value2) {
            addCriterion("USE_FLAG not between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andMemoIsNull() {
            addCriterion("MEMO is null");
            return (Criteria) this;
        }

        public Criteria andMemoIsNotNull() {
            addCriterion("MEMO is not null");
            return (Criteria) this;
        }

        public Criteria andMemoEqualTo(String value) {
            addCriterion("MEMO =", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotEqualTo(String value) {
            addCriterion("MEMO <>", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoGreaterThan(String value) {
            addCriterion("MEMO >", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoGreaterThanOrEqualTo(String value) {
            addCriterion("MEMO >=", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLessThan(String value) {
            addCriterion("MEMO <", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLessThanOrEqualTo(String value) {
            addCriterion("MEMO <=", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoLike(String value) {
            addCriterion("MEMO like", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotLike(String value) {
            addCriterion("MEMO not like", value, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoIn(List<String> values) {
            addCriterion("MEMO in", values, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotIn(List<String> values) {
            addCriterion("MEMO not in", values, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoBetween(String value1, String value2) {
            addCriterion("MEMO between", value1, value2, "memo");
            return (Criteria) this;
        }

        public Criteria andMemoNotBetween(String value1, String value2) {
            addCriterion("MEMO not between", value1, value2, "memo");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeIsNull() {
            addCriterion("CREATE_UNIT_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeIsNotNull() {
            addCriterion("CREATE_UNIT_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE =", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE <>", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeGreaterThan(String value) {
            addCriterion("CREATE_UNIT_CODE >", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE >=", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeLessThan(String value) {
            addCriterion("CREATE_UNIT_CODE <", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATE_UNIT_CODE <=", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeLike(String value) {
            addCriterion("CREATE_UNIT_CODE like", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotLike(String value) {
            addCriterion("CREATE_UNIT_CODE not like", value, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeIn(List<String> values) {
            addCriterion("CREATE_UNIT_CODE in", values, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotIn(List<String> values) {
            addCriterion("CREATE_UNIT_CODE not in", values, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeBetween(String value1, String value2) {
            addCriterion("CREATE_UNIT_CODE between", value1, value2, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitCodeNotBetween(String value1, String value2) {
            addCriterion("CREATE_UNIT_CODE not between", value1, value2, "createUnitCode");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgIsNull() {
            addCriterion("CREATE_UNIT_FALG is null");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgIsNotNull() {
            addCriterion("CREATE_UNIT_FALG is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgEqualTo(String value) {
            addCriterion("CREATE_UNIT_FALG =", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgNotEqualTo(String value) {
            addCriterion("CREATE_UNIT_FALG <>", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgGreaterThan(String value) {
            addCriterion("CREATE_UNIT_FALG >", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_UNIT_FALG >=", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgLessThan(String value) {
            addCriterion("CREATE_UNIT_FALG <", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgLessThanOrEqualTo(String value) {
            addCriterion("CREATE_UNIT_FALG <=", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgLike(String value) {
            addCriterion("CREATE_UNIT_FALG like", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgNotLike(String value) {
            addCriterion("CREATE_UNIT_FALG not like", value, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgIn(List<String> values) {
            addCriterion("CREATE_UNIT_FALG in", values, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgNotIn(List<String> values) {
            addCriterion("CREATE_UNIT_FALG not in", values, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgBetween(String value1, String value2) {
            addCriterion("CREATE_UNIT_FALG between", value1, value2, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andCreateUnitFalgNotBetween(String value1, String value2) {
            addCriterion("CREATE_UNIT_FALG not between", value1, value2, "createUnitFalg");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyIsNull() {
            addCriterion("UNIT_NAME_PY is null");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyIsNotNull() {
            addCriterion("UNIT_NAME_PY is not null");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyEqualTo(String value) {
            addCriterion("UNIT_NAME_PY =", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyNotEqualTo(String value) {
            addCriterion("UNIT_NAME_PY <>", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyGreaterThan(String value) {
            addCriterion("UNIT_NAME_PY >", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_NAME_PY >=", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyLessThan(String value) {
            addCriterion("UNIT_NAME_PY <", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyLessThanOrEqualTo(String value) {
            addCriterion("UNIT_NAME_PY <=", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyLike(String value) {
            addCriterion("UNIT_NAME_PY like", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyNotLike(String value) {
            addCriterion("UNIT_NAME_PY not like", value, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyIn(List<String> values) {
            addCriterion("UNIT_NAME_PY in", values, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyNotIn(List<String> values) {
            addCriterion("UNIT_NAME_PY not in", values, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyBetween(String value1, String value2) {
            addCriterion("UNIT_NAME_PY between", value1, value2, "unitNamePy");
            return (Criteria) this;
        }

        public Criteria andUnitNamePyNotBetween(String value1, String value2) {
            addCriterion("UNIT_NAME_PY not between", value1, value2, "unitNamePy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}